package cicaprojekt;

public class Field extends cicaprojekt.Tile {
    public Field() {
        super();
    }

    @Override
    public boolean isSteppable() {
        return boxStack.isEmpty();
    }

    public void onEntry(PlayerBase playerBase) {
        super.onEntry(playerBase);
        if (boxStack.size() > 0)
            return;
        playerBase.setCurrentTile(this);
        if (zpmOnTile != null)
            playerBase.pickZPM(this);
    }

    public void onExit(PlayerBase playerBase) {}
}
